#include "Metric.h"
#include "stdio.h"

int Metric::x(double x){
    x/=XSCALE;
//    fprintf(stderr,"%lf %lf\n",x,XSCALE);
    return (int) (x1+(x2-x1)*x);
}

int Metric::y(double y){
    y/=YSCALE;
    return (int) (y1+(y2-y1)*y);
}

double Metric::inverseX(int x){
    return (double)(x-x1)/(x2-x1)*XSCALE;
}

double Metric::inverseY(int y){
    return (double)(y-y1)/(y2-y1)*YSCALE;
}

int Metric::scaleX(double x){
    x/=XSCALE;
    return (int) ((x2-x1)*x);
}

int Metric::scaleY(double y){
    y/=YSCALE;
    return (int) ((y2-y1)*y);
}
