// created and maintained by ppershing
// please report any bug or suggestion to ppershing<>fks<>sk

#ifndef H_ASSERT
#define H_ASSERT
#include <stdlib.h>

/**
  assertion macro, automatically add error to log and throw exception
  */
#define assert(cond,info) { if (!__builtin_expect((cond),1)) { \
     char line[20]; \
    sprintf(line,"%d",__LINE__); \
     std::string s=std::string("Assertion failed in file ") \
    + __FILE__ + " on line "+line + \
    ". Diagnosis: "+info; \
    Errors::getInstance()->addError(s,Errors::FATAL);  \
    throw EAssertionFailed(s); } ; }

#endif
