#ifndef H_COLLISION_SOLVER
#define H_COLLISION_SOLVER

#include "BasicObject.h"
#include "MassObject.h"
class World;

class CollisionSolver{
    public:
    static double COLLISION_SKIP;
    static double COLLISION_BOUNCE;
    static double impactToDamage;


    static void doMassMassCollision(MassObject* object1, MassObject*
            object2, World* world);
    static void doMassMasslessCollision(MassObject* object1,
            BasicObject* object2, World* world);
    static void initialize();

};

#endif
