#ifndef H_PLAYER_RESPONSE
#define H_PLAYER_RESPONSE

#include <vector>

class PlayerResponse{
  public:
    PlayerResponse();
    double accelerationJets;
    double rotationJets;    
    int fireWeapon;
    double weaponAngle;
    double weaponSpeed;
    double weaponAdditional;

    void serialize(std::vector<unsigned char>& destination);
    static PlayerResponse deserialize(std::vector<unsigned char>
            ::iterator& it);


  void validate();
};
#endif
